Redmine - Defect #12397

Error in Textile conversion of HTTP links, containing russian letters
2012-11-19 07:55 - Albert Shakirov

Status: Closed Start date:

Priority: High Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version: 2.2.0

Resolution: Fixed Affected version: 21.2
Description

I've just upgraded to the latest Redmine version and got this error:
when | try to write links using "Title":URL notation and | use russian letters in the URL part, my links become broken.
The same error I've got on your demo.redmine.org page.

Let's try it right here:
in Russian:
TECT

in English:
Test

Redmine version 2.1.2.stable
Ruby version 1.9.3 (i686-linux)
Rails version 3.2.8

Related issues:
Related to Redmine - Patch #12077: Links ending with non-english letters don'... Closed

Associated revisions

Revision 10879 - 2012-11-24 15:20 - Jean-Philippe Lang

Fixed that autolinks and textile links ending with cyrilic characters are broken (#12397).

History

#1 - 2012-11-19 08:01 - Albert Shakirov

Yes! The same error is on your site.

In Redmine 1.4 version everything was OK.

Again, the problem in the links like this (in this example I'm going to put some spaces to prevent it to convert to URL link with title):
"TECT" : http :// www.test.ru / Tect

#2 - 2012-11-19 11:09 - fangzheng (00)
By the way, when | add some english chars at the end of the url, it works fine. see below:

http://www.redmine.org/Tect
http://www.redmine.org/Tect

http://www.redmine.org/TecTABC
http://www.redmine.org/TectABC

http://www.redmine.org/Tect123
http://www.redmine.org/Tect123

Specially:
http://www.redmine.org/Tect/
http://www.redmine.org/Tect/

So add a "/" at the end could be a workaround.
#3 - 2012-11-19 11:23 - Albert Shakirov

Yes, | know that. I've done a lot of experiments. The error appears when the LAST LETTER in the URL is Russian letter.
Unfortunatly, adding a slash to the end is not an option for me. My links refer to wiki pages (to another site, not Redmine wiki), so URL with a "/" at the
http://www.test.ru/%D1%82%D0%B5%D1%81%D1%82
http://www.test.ru/test
http://www.test.ru
http://www.redmine.org/%D1%82%D0%B5%D1%81%D1%82
http://www.redmine.org/%D1%82%D0%B5%D1%81%D1%82ABC
http://www.redmine.org/%D1%82%D0%B5%D1%81%D1%82123
http://www.redmine.org/%D1%82%D0%B5%D1%81%D1%82/

end isn't correct.

#4 - 2012-11-24 15:22 - Jean-Philippe Lang
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.2.0

- Resolution set to Fixed

It's fixed in r10879 with tests. Only works with ruby1.9.
https://www.redmine.org/projects/redmine/repository/svn/revisions/10879
http://www.tcpdf.org

